<?php
session_start();

// Nome file per salvare i messaggi
$chatFile = 'chatlog.txt';

// Imposta un nome utente se non è già settato
if (!isset($_SESSION['username'])) {
    $_SESSION['username'] = 'User' . rand(100, 999);
}

// Se è stato inviato un messaggio
if (isset($_POST['message']) && !empty($_POST['message'])) {
    $message = htmlspecialchars(trim($_POST['message']));
    $username = $_SESSION['username'];
    $time = date('H:i');

    // Scrive il messaggio nel file
    $log = "[$time] $username: $message" . PHP_EOL;
    file_put_contents($chatFile, $log, FILE_APPEND);
}

// Se si richiedono i messaggi
if (isset($_GET['action']) && $_GET['action'] === 'getMessages') {
    if (file_exists($chatFile)) {
        echo nl2br(file_get_contents($chatFile));
    }
    exit;
}
?>